Go here and extract it... This is what I show:

dss-cs99la36:/media/zlm72ir2_agent/data/packages/client/sles-10-i586 # ls
hwinfo-12.55-0.3.i586.rpm
liby2util-2.13.8-0.15.i586.rpm
libzypp-2.31.334-0.3.i586.rpm
libzypp-zmd-backend-7.1.1.0_2.15-0.3.i586.rpm
limal-ca-mgm-1.1.74-0.3.i586.rpm
limal-ca-mgm-perl-1.1.74-0.3.i586.rpm
novell-zenworks-install-7.2.2-0.0.0.i586.rpm
novell-zenworks-utilities-7.2.2-0.0.0.i586.rpm
novell-zenworks-zlm-release2-7.2.2-0.0.0.noarch.rpm
novell-zenworks-zmd-actions-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-gconfpolicyenforcers-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-imgagent-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-oem-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-policyenforcers-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-policymanager-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-rmagent-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-settings-7.2.2-0.0.0.i586.rpm
novell-zenworks-zmd-tess-7.2.2-0.0.0.i586.rpm
rug-7.2.2.0-0.0.i586.rpm
suseRegister-1.2-9.41.noarch.rpm
yast2-2.13.111-0.3.i586.rpm
yast2-core-2.13.43-0.3.i586.rpm
yast2-country-2.13.56-0.3.i586.rpm
yast2-hardware-detection-2.13.8-1.2.4.i586.rpm
yast2-inetd-2.13.8-0.10.noarch.rpm
yast2-installation-2.13.211-0.3.noarch.rpm
yast2-ncurses-2.13.68-0.3.i586.rpm
yast2-online-update-2.13.67-0.3.noarch.rpm
yast2-online-update-frontend-2.13.67-0.3.noarch.rpm
yast2-packager-2.13.179-0.3.i586.rpm
yast2-perl-bindings-2.13.11-0.22.i586.rpm
yast2-pkg-bindings-2.13.123-0.3.i586.rpm
yast2-qt-2.13.84-0.3.i586.rpm
yast2-registration-2.13.22-0.3.noarch.rpm
yast2-slp-2.13.4-0.20.i586.rpm
zen-updater-7.2.2-0.0.i586.rpm
zmd-7.2.2.0-0.0.i586.rpm
zmd-inventory-7.2.2.0-0.0.i586.rpm
zypper-0.6.104-0.3.i586.rpm
dss-cs99la36:/media/zlm72ir2_agent/data/packages/client/sles-10-i586 #


----

After applying ZLM72IR2-Hot-Patch to a device, I show this:

3N2DHB1:~ # rpm -qa | grep zmd
novell-zenworks-zmd-rmagent-7.2.2-0.0.0
novell-zenworks-zmd-imgagent-7.2.2-0.0.0
zmd-7.2.2.0-0.2
novell-zenworks-zmd-tess-7.2.2-0.0.0
novell-zenworks-zmd-actions-7.2.2-0.0.0
novell-zenworks-zmd-settings-7.2.2-0.0.0
novell-zenworks-zmd-gconfpolicyenforcers-7.2.2-0.0.0
zmd-inventory-7.2.2.0-0.0
novell-zenworks-zmd-policyenforcers-7.2.2-0.0.0
libzypp-zmd-backend-7.1.1.0_2.15-0.3
novell-zenworks-zmd-policymanager-7.2.2-0.0.0
3N2DHB1:~ #

--

Notice the different versions of zmd. Am I missing something?